:- use_module(list_length, [list_length/2]).

list_length(Xs, L, Kill) :- 
	list_length(Xs, 0, L, Kill). 

:- block list_length(-, ?, ?, -).
list_length(_, _, _, Kill) :-
	nonvar(Kill),
	!.	
list_length([], L, L, _).
list_length([_ | Xs], A, L, Kill) :-
	A1 is A + 1,
	list_length(Xs, A1, L, Kill). 